Skip to main content
GET
/
api
/
v1
/
sandbox-specs
Batch Get Sandbox Specs
curl --request GET \
  --url https://app.all-hands.dev/api/v1/sandbox-specs \
  --header 'X-Access-Token: <api-key>'
[
  {
    "id": "<string>",
    "command": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "initial_env": {},
    "working_dir": "/home/openhands/workspace"
  }
]

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

id
string[]
required

Response

(SandboxSpecInfo · object | null)[]

Successful Response

A template for creating a Sandbox (e.g: A Docker Image vs Container).

id
string
required
command
string[] | null
required
created_at
string<date-time>
initial_env
Initial Env · object

Initial Environment Variables

working_dir
string
default:/home/openhands/workspace